Bug 1282039 - CVE-2015-8126 libpng10: libpng: Buffer overflow vulnerabilities in png_get_PLTE/png_set_PLTE functions [fedora-all]
CVE-2015-8126 libpng10: libpng: Buffer overflow vulnerabilities in png_get_PL...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libpng10 (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2015-8126/CVE-2015-8472
  Show dependency treegraph
 
Reported: 2015-11-14 08:48 EST by Paul Howarth
Modified: 2015-12-18 04:58 EST (History)
1 user (show)

See Also:
Fixed In Version: libpng10-1.0.64-1.fc23 libpng10-1.0.64-1.fc22 libpng10-1.0.64-1.fc21 libpng10-1.0.65-1.fc23 libpng10-1.0.65-1.fc22
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 02:54:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2015-11-14 08:48:10 EST
Tracking bug for affected Fedora releases 21 .. 23.
Comment 1 Fedora Update System 2015-11-14 08:54:51 EST
libpng10-1.0.64-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1d87313b7c
Comment 2 Fedora Update System 2015-11-14 08:56:07 EST
libpng10-1.0.64-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-ec2ddd15d7
Comment 3 Fedora Update System 2015-11-14 08:58:32 EST
libpng10-1.0.64-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-501493d853
Comment 4 Fedora Update System 2015-11-24 14:52:06 EST
libpng10-1.0.64-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-11-24 17:24:29 EST
libpng10-1.0.64-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-11-24 17:50:06 EST
libpng10-1.0.64-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-12-04 07:19:39 EST
libpng10-1.0.65-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3461e976cb
Comment 8 Fedora Update System 2015-12-04 07:19:40 EST
libpng10-1.0.65-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8c475f7169
Comment 9 Fedora Update System 2015-12-04 11:50:49 EST
libpng10-1.0.65-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng10'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8c475f7169
Comment 10 Fedora Update System 2015-12-04 12:20:20 EST
libpng10-1.0.65-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng10'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3461e976cb
Comment 11 Fedora Update System 2015-12-18 02:53:50 EST
libpng10-1.0.65-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-12-18 04:58:27 EST
libpng10-1.0.65-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.